#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: idris
version: 1.1.1
id: idris-1.1.1-5ObcXyYF5UuIv1JI8JaYd2
key: idris-1.1.1-5ObcXyYF5UuIv1JI8JaYd2
license: BSD3
maintainer: Edwin Brady <eb@cs.st-andrews.ac.uk>
stability: Beta
homepage: http://www.idris-lang.org/
synopsis: Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:
    .
    * Full, first class, dependent types with dependent pattern matching
    .
    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings
    .
    * Interfaces (similar to type classes), monad comprehensions
    .
    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs
    .
    * Totality checking
    .
    * Coinductive types
    .
    * Indentation significant syntax, extensible syntax
    .
    * Cumulative universes
    .
    * Simple foreign function interface (to C)
    .
    * Hugs style interactive environment
category: Compilers/Interpreters, Dependent Types
author: Edwin Brady
exposed: True
indefinite: False
exposed-modules:
    IRTS.BCImp IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Parser Idris.Parser.Data
    Idris.Parser.Expr Idris.Parser.Helpers Idris.Parser.Ops
    Idris.PartialEval Idris.Primitives Idris.ProofSearch Idris.Prover
    Idris.Providers Idris.REPL Idris.REPL.Browse Idris.REPL.Commands
    Idris.REPL.Parser Idris.Reflection Idris.Termination
    Idris.Transforms Idris.TypeSearch Idris.Unlit Idris.WhoCalls
    Util.DynamicLinker Util.ScreenSize Util.System
hidden-modules: Util.Pretty Util.Net Idris.Package.Parser
                Paths_idris Version_idris Tools_idris
abi: e51127e9ceb12cac21564a7d5f093200
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/idris-1.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/idris-1.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/idris
hs-libraries: HSidris-1.1.1-5ObcXyYF5UuIv1JI8JaYd2
extra-libraries:
    gmp
depends:
    base-4.10.0.0 aeson-1.2.3.0-SQQydLO5BXKh1lJDeeNrq
    annotated-wl-pprint-0.7.0-8jpXgm4pnh36ZFEJZPnwUC
    ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU
    ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk array-0.5.2.0
    base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm binary-0.8.5.1
    blaze-html-0.9.0.1-kPi4af1DH04kfw48f7OOh
    blaze-markup-0.8.0.0-FzqDX3sF5iY7olwigbNHfL bytestring-0.10.8.2
    cheapskate-0.1.1-KZeyU39h6lHFQYdLatMSCj
    code-page-0.1.3-Lb49vTg78IDCCaaNT9XtlB containers-0.5.10.2
    deepseq-1.4.3.0 directory-1.3.0.2 filepath-1.4.1.2
    fingertree-0.1.2.1-AdW3qo2F87f3RmpO72aWjC haskeline-0.7.4.0
    ieee754-0.8.0-HLjs1Vz4yYwDDe3V5nl83v
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx
    optparse-applicative-0.14.0.0-CJtbqXiElwvHJ8bj23xDw2
    parsers-0.12.7-1kfASGSbUOaHyymSJg92ek pretty-1.1.3.3
    process-1.6.1.0 regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw
    safe-0.3.15-AsY8t7BqxG7J4M7E7fbih5
    split-0.2.3.2-89BHvn20PlL73pGr1SBIHj
    terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW
    text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz time-1.8.0.2
    transformers-0.5.2.0
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
    trifecta-1.7.1.1-I3RnAwxEfslH8J67w1Xzwa
    uniplate-1.6.12-7N3IMg4lwN2FPMc94OrKMJ
    unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN
    utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m
    vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi
    vector-binary-instances-0.2.3.5-DWvVOI4GHrECD2ZJqrEThD
    zip-archive-0.3.1.1-CZhWVZnrHky8oZZ6YlWuu5
    fsnotify-0.2.1.1-DlyPuusiJNu6JLzz0E0brN
    async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc unix-2.7.2.2
    libffi-0.1-Ee6b4wap395BBnyxOgVqYl
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             aeson-1.2.3.0-SQQydLO5BXKh1lJDeeNrq=66a2d17fbbc7a6e96ce7fb88add84f33
             annotated-wl-pprint-0.7.0-8jpXgm4pnh36ZFEJZPnwUC=1a5a67105881449c3a857c478fe31d28
             ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU=7e36eeff4c9b354fba1911369e31a77f
             ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk=4ede995ab9d7732b35861222dcc02e54
             array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
             base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm=3f1f6920f093e2e6ae14fb0bb49a0b10
             binary-0.8.5.1=44e4c28d2f38593047e3772473ecb87e
             blaze-html-0.9.0.1-kPi4af1DH04kfw48f7OOh=7d7fdc10b11e72a088b6791e8c321cca
             blaze-markup-0.8.0.0-FzqDX3sF5iY7olwigbNHfL=271c22b9b241ac1554c7c5cfd744d37e
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             cheapskate-0.1.1-KZeyU39h6lHFQYdLatMSCj=b66fd84769aa32195087eba42f8641f0
             code-page-0.1.3-Lb49vTg78IDCCaaNT9XtlB=229f1d4965c00dd818ba56725d84b287
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             directory-1.3.0.2=3638cd3d85711234b23f0c0ec04058d3
             filepath-1.4.1.2=7f2f990ae2114c616de6dfc1a7f18a6e
             fingertree-0.1.2.1-AdW3qo2F87f3RmpO72aWjC=0f911f6bc406c8231402a6f168b4ec49
             haskeline-0.7.4.0=e303ef8fea72a3056f73fb9b89d2eb35
             ieee754-0.8.0-HLjs1Vz4yYwDDe3V5nl83v=2dc52b553ffc880cfeee3223e8085186
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx=06cb668c0e9e66cc22d17c21c1fa2e38
             optparse-applicative-0.14.0.0-CJtbqXiElwvHJ8bj23xDw2=6e274c406ae75d555ff178d9e00225b0
             parsers-0.12.7-1kfASGSbUOaHyymSJg92ek=cb133b30d78ccfdb941f097cdcc61201
             pretty-1.1.3.3=e10ebff28b4fc258fa0291d45c86289c
             process-1.6.1.0=d01a8ca2c6610f40dfd0fe25f50afb10
             regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw=14da71b18d5c7b202b9e82ce74c138e0
             safe-0.3.15-AsY8t7BqxG7J4M7E7fbih5=368aa3ad25486678b8f3fef19ec4be32
             split-0.2.3.2-89BHvn20PlL73pGr1SBIHj=0183ddfce1aabaf9dbeb4c47b7a27d83
             terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW=57914696416426047c13422593d7335d
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=9217a19661a41b462c62d1a4bdf2e9b1
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=be80f3d454efcaa9a115f9c6da29209c
             trifecta-1.7.1.1-I3RnAwxEfslH8J67w1Xzwa=bca57bdbf2e95624a067d58974d781d8
             uniplate-1.6.12-7N3IMg4lwN2FPMc94OrKMJ=a3211b0bbee9c915c40aae192dce0870
             unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN=f561664cdb04511e569f0d44c9086d8e
             utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m=86282a526305f57509e4009ab924a497
             vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi=23f6c0fe109d2ea8c2d28bae9257ae6c
             vector-binary-instances-0.2.3.5-DWvVOI4GHrECD2ZJqrEThD=ff5a5327ece1d500aafb4059a8cf4444
             zip-archive-0.3.1.1-CZhWVZnrHky8oZZ6YlWuu5=30b275155ed4d43ea3e79be812803b41
             fsnotify-0.2.1.1-DlyPuusiJNu6JLzz0E0brN=f665bf54b1cc71b31f0f7f57ec2863af
             async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc=877e0732f418402f16d143a5b45ef88e
             unix-2.7.2.2=65f42a53c0d1c7bb4ba5966ba6a43504
             libffi-0.1-Ee6b4wap395BBnyxOgVqYl=5699db72d75341dda3557a8692624a4a
haddock-interfaces: /usr/share/doc/idris/html/idris.haddock
haddock-html: /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

